<!-- Define the HTML document with Thymeleaf and layout namespaces -->
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
layout:decorate="layouts/defaultTemplate">

<body>
	<!-- Content fragment for the layout, where the form will be inserted -->
	<div layout:fragment="content">
		<!-- Form for user registration -->
		<form action="#" th:action="@{/register}" th:object="${RegisterModel}" method="post" class="p-[18rem]">
			<table>
				<!-- First Name input field -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>First Name:</td>
					<td><input type="text" th:field="*{firstName}"></td>
					<!-- Display error message if there are validation errors on the firstName field -->
					<td>
						<h5 style="color: red" th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}">FirstName Error</h5>
					</td>
				</tr>

				<!-- Last Name input field -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Last Name:</td>
					<td><input type="text" th:field="*{lastName}"></td>
					<!-- Display error message if there are validation errors on the lastName field -->
					<td>
						<h5 style="color: red" th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}">Last Name Error</h5>
					</td>
				</tr>

				<!-- Phone Number input field with a regex pattern to ensure it's a 10-digit number -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Phone Number:</td>
					<td><input type="tel" th:field="*{phoneNumber}" pattern="[0-9]{10}"></td>
					<!-- Display error message if there are validation errors on the phoneNumber field -->
					<td>
						<h5 style="color: red" th:if="${#fields.hasErrors('phoneNumber')}" th:errors="*{phoneNumber}">Phone Number Error</h5>
					</td>
				</tr>

				<!-- Email input field, which ensures the entered value is in a valid email format -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Email:</td>
					<td><input type="email" th:field="*{email}"></td>
					<!-- Display error message if there are validation errors on the email field -->
					<td>
						<h5 style="color: red" th:if="${#fields.hasErrors('email')}" th:errors="*{email}">Email Error</h5>
					</td>
				</tr>

				<!-- Username input field -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Username:</td>
					<td><input type="text" th:field="*{username}"></td>
					<!-- Display error message if there are validation errors on the username field -->
					<td>
						<h5 style="color: red" th:if="${#fields.hasErrors('username')}" th:errors="*{username}">Username Error</h5>
					</td>
				</tr>

				<!-- Password input field -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Password:</td>
					<td><input type="password" th:field="*{password}"></td>
					<!-- Display error message if there are validation errors on the password field -->
					<td>
						<h5 style="color: red" th:if="${#fields.hasErrors('password')}" th:errors="*{password}">Password Error</h5>
					</td>
				</tr>

				<!-- Submit button to submit the registration form -->
				<tr>
					<td colspan="2"><input class="btn btn-primary" type="submit" value="Register" /></td>
				</tr>
			</table>

			<br>

			<!-- Display a custom authentication error message if there is any authentication failure -->
			<div th:if="${autherror}">
				<!-- Static text for Authentication error message -->
				Authentication Message
			</div>
			<!-- Display the error message in red color -->
			<span style="color: red" th:text="${autherror}" class="fieldError"></span>
		</form>
	</div>
</body>
</html>
